Bug 1879395 - Please update curl library packaged with RHEL8 to version 7.64.1 or above.
Summary: Please update curl library packaged with RHEL8 to version 7.64.1 or above.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: curl
Version: 8.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Kamil Dudka
QA Contact: Daniel Rusek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-16 07:56 UTC by David Caldwell
Modified: 2020-11-14 09:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-17 09:19:11 UTC
Type: Bug
Target Upstream Version:
kdudka: needinfo-


Attachments (Terms of Use)

Description David Caldwell 2020-09-16 07:56:12 UTC
Description of problem:

There is a known bug[1] in curl and the curl libs that infrequently causes DNS timeouts. This version[2] provides a fix.

[1] https://github.com/curl/curl/pull/3630
[2] https://curl.haxx.se/changes.html#7_64_1


Version-Release number of selected component (if applicable):

libcurl 7.61.1


How reproducible:

Make thousands of DNS calls using the effected curl library. 


Actual results:

Occasional DNS timeouts.


Expected results:

No DNS timeouts as a result of this bug.


Additional info:

Comment 1 Kamil Dudka 2020-09-16 11:05:36 UTC
As I understand it, the mentioned bug was introduced by the following commit:

    https://github.com/curl/curl/commit/84a30d0a

So the first upstream release affected by the bug was 7.64.0 while we have 7.61.1 in RHEL-8.  It must be something else what causes you problems.

Note that we never rebase curl in minor updates of RHEL.  But we can backport specific fixes from upstream if they are considered safe.

Comment 2 David Caldwell 2020-09-17 07:20:12 UTC
@kamil

When I look at the change log[1], under the section titled, 'Fixed in 7.64.1 - March 27 2019,' there is a fix for the bug, 'threaded-resolver: shutdown the resolver thread without error message' which is what the PR[2] I mentioned previously describes. Therefore, it seems to me that this issue is actually _fixed_ in 7.64.1.

Am I misunderstanding something?

[1] https://curl.haxx.se/changes.html#7_64_1
[2] https://github.com/curl/curl/pull/3630

Comment 3 Kamil Dudka 2020-09-17 07:39:38 UTC
David, please reread what is written in comment #1.  Yes, the upstream bug you refer to was fixed in 7.64.1.  On the other hand, the bug was introduced in 7.64.0.  So it could hardly cause any problems in RHEL-8, where we have 7.61.1.

Comment 4 David Caldwell 2020-09-17 08:44:08 UTC
@kamil

Sorry, I understand now. Thanks for your help. I guess you can close this BZ.

Comment 5 Kamil Dudka 2020-09-17 09:19:11 UTC
No problem, I am closing the bug.  Please feel free to open a new bug report in case you are able to reproduce the issue locally.  Then we can use git-bisect to find an upstream commit that fixes it (assuming it is really a bug of curl).


Note You need to log in before you can comment on or make changes to this bug.